package fr.sanchezm.attestationsCovid19.data.db.entity

import java.text.SimpleDateFormat
import java.util.*

//@Entity(tableName = "attestation")
data class Attestation(
    val profile: Profile,
    val exitDate: String,
    val exitHour: String,
    var createAt: Long,
    val reasons: List<Int>
) {
    private val pattern = "dd/MM/yyyy 'a' HH:mm"

    override fun toString(): String {
        val motifs = StringBuilder()

        repeat(reasons.size) { motifs.append(getMotifText(it), "-") }.also { motifs.dropLast(1) }
        return "Cree le: ${getDate(createAt)}; $profile; Sortie: $exitDate a $exitHour; Motifs: $motifs"
    }

    private fun getDate(dateTime: Long): String {
        return SimpleDateFormat(pattern, Locale.FRANCE).format(Date(dateTime))
    }

    private fun getMotifText(i: Int): String {
        return when (i) {
            1 -> "travail"
            2 -> "courses"
            3 -> "sante"
            4 -> "famille"
            5 -> "sport"
            6 -> "judiciare"
            7 -> "missions"
            else -> ""
        }
    }

}