package fr.sanchezm.attestationsCovid19.utilities

import android.graphics.Bitmap
import com.google.zxing.BarcodeFormat
import com.google.zxing.MultiFormatWriter
import com.journeyapps.barcodescanner.BarcodeEncoder
import fr.sanchezm.attestationsCovid19.data.db.entity.Attestation


class QRCodeUtils {

    fun getQrCode(attestation: Attestation): Bitmap =
        BarcodeEncoder().createBitmap(getMultiFormatWriter(attestation))

    private fun getMultiFormatWriter(attestation: Attestation) =
        MultiFormatWriter().encode(attestation.toString(), BarcodeFormat.QR_CODE, 150, 150)
}